"use strict";

exports.__esModule = true;
exports.shallowEqual = shallowEqual;
exports.strictEqual = strictEqual;
function strictEqual(a, b) {
  return a === b;
}
function shallowEqual(a, b) {
  return strictEqual(a, b) || bothObjects(a, b) && equalProps(a, b);
}
function bothObjects(a, b) {
  return typeof a === 'object' && a !== null && typeof b === 'object' && b !== null;
}
function equalProps(a, b) {
  var keysOfA = Object.keys(a);
  var keysOfB = Object.keys(b);
  if (keysOfA.length !== keysOfB.length) return false;
  for (var i = 0; i < keysOfA.length; i++) {
    var key = keysOfA[i];
    if (!b.hasOwnProperty(key) || a[key] !== b[key]) return false;
  }
  return true;
}