import type { Entity } from './entity';
/**
 * Hook that binds an entity to the component as a shared state.
 *
 * @param entity - the entity
 * @param transform - optional data transformation function
 * @param equality - optional custom equality function
 * @returns the current value of the entity
 */
export default function useEntity<T, C = T>(entity: Entity<T>, transform?: (value: T) => C, equality?: (a: C, b: C) => boolean): C;
